classification
Title: Remove some conditional code in _ssl.c
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alex, christian.heimes, dstufft, giampaolo.rodola, janssen, ned.deily, pitrou, python-dev
Priority: low Keywords: easy

Created on 2015-01-01 11:55 by pitrou, last changed 2015-01-04 10:31 by ned.deily. This issue is now closed.

Messages (6)
msg233280 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-01-01 11:55
There's a lot of conditional code in _ssl.c, meant to address the unavailability of some features in old OpenSSL versions. I think for 3.5 we should require at least 0.9.8 (which is already old), and consequently remove some of those conditionals.
msg233370 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2015-01-03 22:11
+1, This sounds completely reasonable to do to me.
msg233371 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-03 22:17
New changeset e9f05a4a5f16 by Antoine Pitrou in branch 'default':
Issue #23143: Remove compatibility with OpenSSLs older than 0.9.8.
https://hg.python.org/cpython/rev/e9f05a4a5f16
msg233372 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-03 22:21
New changeset 37c6fd09f71f by Antoine Pitrou in branch 'default':
Issue #23143: Remove compatibility with OpenSSLs older than 0.9.8.
https://hg.python.org/cpython/rev/37c6fd09f71f
msg233374 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-01-03 22:26
Thanks! Now done.
msg233410 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-01-04 10:31
Note that this change causes _ssl.so builds to fail on at least one buildbot, the OS X Tiger one, where the system OpenSSL version is 0.9.7.  I've asked the buildbot owner to consider installing a local copy of a current OpenSSL.  There may be other buildbots affected.
History
Date User Action Args
2015-01-04 10:31:16ned.deilysetnosy: + ned.deily
messages: + msg233410
2015-01-03 22:26:02pitrousetstatus: open -> closed
resolution: fixed
messages: + msg233374

stage: needs patch -> resolved
2015-01-03 22:21:28python-devsetmessages: + msg233372
2015-01-03 22:17:31python-devsetnosy: + python-dev
messages: + msg233371
2015-01-03 22:11:54dstufftsetmessages: + msg233370
2015-01-03 21:57:06pitrousetnosy: + janssen, giampaolo.rodola, christian.heimes, alex, dstufft
2015-01-01 11:55:39pitroucreate